Home and activity
Get outreach home
Everything the Outreach home shows, counted once.
The three things waiting on a person, the results, what the agent is doing right now, the tab counts and the first page of rows, all from one grouping. An agent asked “what needs me” answers from this.
GET
/
api
/
v1
/
public
/
outreach
/
home
Get outreach home
curl --request GET \
--url https://api.tryhikoo.com/api/v1/public/outreach/home \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/outreach/home"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/outreach/home', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/outreach/home",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/outreach/home"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhikoo.com/api/v1/public/outreach/home")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/outreach/home")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tabs": {
"active": 0,
"needs_you": 0,
"hikoo_working": 0,
"waiting": 0,
"closed": 0,
"in_progress": 0
},
"outcomes": {
"won": 0,
"lost": 0,
"disqualified": 0
},
"actions": {
"hot_replies": {
"count": 0,
"first_source_id": 123,
"domain": "<string>",
"days_waiting": 123,
"going_cold": false
},
"pitches_to_approve": {
"count": 0,
"first_source_id": 123,
"domain": "<string>",
"days_waiting": 123,
"going_cold": false
},
"follow_ups_to_approve": {
"count": 0,
"going_cold": false
},
"replies_to_approve": {
"count": 0,
"going_cold": false
}
},
"results": {
"mentions_won": 0,
"active_opportunities": 0,
"pitched": 0,
"replies": 0,
"reply_rate": 0,
"sources_analysed": 0,
"sources_kept": 0,
"agreed_not_live": 0
},
"agent_now": {
"key": "writing_pitches",
"params": {}
},
"agent_next": {
"key": "writing_pitches",
"params": {}
},
"contact_allowance": {
"used": 123,
"cap": 123,
"reached": true,
"resumes_at": "2023-11-07T05:31:56Z",
"waiting": 0
},
"mailbox": {
"any_connected": false,
"sending_for_site": false,
"mine_connected": false,
"needs_reconnect": [],
"mailboxes": []
},
"send_disabled": false,
"decisions_waiting": {},
"rows": [],
"total": 0,
"agent_mode": false,
"told_after": {
"count": 0,
"since": "2023-11-07T05:31:56Z",
"items": []
}
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}Authorizations
Query Parameters
Response
Successful Response
⌘I
Get outreach home
curl --request GET \
--url https://api.tryhikoo.com/api/v1/public/outreach/home \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryhikoo.com/api/v1/public/outreach/home"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryhikoo.com/api/v1/public/outreach/home', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhikoo.com/api/v1/public/outreach/home",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhikoo.com/api/v1/public/outreach/home"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhikoo.com/api/v1/public/outreach/home")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhikoo.com/api/v1/public/outreach/home")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tabs": {
"active": 0,
"needs_you": 0,
"hikoo_working": 0,
"waiting": 0,
"closed": 0,
"in_progress": 0
},
"outcomes": {
"won": 0,
"lost": 0,
"disqualified": 0
},
"actions": {
"hot_replies": {
"count": 0,
"first_source_id": 123,
"domain": "<string>",
"days_waiting": 123,
"going_cold": false
},
"pitches_to_approve": {
"count": 0,
"first_source_id": 123,
"domain": "<string>",
"days_waiting": 123,
"going_cold": false
},
"follow_ups_to_approve": {
"count": 0,
"going_cold": false
},
"replies_to_approve": {
"count": 0,
"going_cold": false
}
},
"results": {
"mentions_won": 0,
"active_opportunities": 0,
"pitched": 0,
"replies": 0,
"reply_rate": 0,
"sources_analysed": 0,
"sources_kept": 0,
"agreed_not_live": 0
},
"agent_now": {
"key": "writing_pitches",
"params": {}
},
"agent_next": {
"key": "writing_pitches",
"params": {}
},
"contact_allowance": {
"used": 123,
"cap": 123,
"reached": true,
"resumes_at": "2023-11-07T05:31:56Z",
"waiting": 0
},
"mailbox": {
"any_connected": false,
"sending_for_site": false,
"mine_connected": false,
"needs_reconnect": [],
"mailboxes": []
},
"send_disabled": false,
"decisions_waiting": {},
"rows": [],
"total": 0,
"agent_mode": false,
"told_after": {
"count": 0,
"since": "2023-11-07T05:31:56Z",
"items": []
}
}{
"detail": "Invalid or expired API key"
}{
"detail": "This website has no active subscription, so its data is unavailable."
}{
"detail": "Website not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Too many requests. Please try again shortly."
}